unsafe_batchTransaction
Create an unsigned batched transaction.
Parameters
signer·SuiAddress· requiredthe transaction signer's Sui addresssingle_transaction_params·RPCTransactionRequestParams[] · requiredlist of transaction request parametersgas·ObjectID· optionalgas object to be used in this transaction, node will pick one from the signer's possession if not providedgas_budget·BigInt<u64>· requiredthe gas budget, the transaction will fail if the gas cost exceed the budgettxn_builder_mode·SuiTransactionBlockBuilderMode· optionalWhether this is a regular transaction or a Dev Inspect Transaction"Commit"- Regular Sui Transactions that are committed on chain"DevInspect"- Simulated transaction that allows calling any Move function with arbitrary values.
Result
TransactionBlockBytes·TransactionBlockBytesgas·ObjectRef[] · requiredthe gas objects to be usedinputObjects·InputObjectKind[] · requiredobjects to be used in this transactiontxBytes·Base64· requiredBCS serialized transaction data bytes without its type tag, as base-64 encoded string.
Example
Replace each <param> with a value of the type listed under Parameters.
Request
bash
curl https://mainnet-api.inodra.com/v1/jsonrpc \
-H 'Content-Type: application/json' \
-H 'x-api-key: YOUR_API_KEY' \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "unsafe_batchTransaction",
"params": [
"<signer>",
"<single_transaction_params>",
"<gas_budget>"
]
}'